@echo off
rem 05-11-2002 JvW Updated for executable naming DFSOS2, DFSWIN and DFSDOS
echo.

if "%OS2_SHELL%"=="" goto notos2
set dfsexe=dfsos2.exe
set cmdext=CMD
goto dfsee
:notos2
if "%OS%"==""        goto notnt
if "%OS%"=="DOS"     goto notnt
if "%OS%"=="MSDOS"   goto notnt
if "%OS%"=="DRDOS"   goto notnt
if "%OS%"=="IBMDOS"  goto notnt
if "%OS%"=="OPENDOS" goto notnt
set dfsexe=dfswin.exe
set cmdext=BAT
goto dfsee
:notnt
set dfsexe=dfsdos.exe
set cmdext=BAT
:dfsee

if "%1"=="" goto noparam
set dfslog=%1
goto endparam
:noparam
set dfslog=dfsquick
:endparam

if exist %dfslog%.log del %dfslog%.log > NUL
echo.
echo Quick collecting info into %dfslog%.log
%dfsexe% -7 -a -b -q -Q -l:%dfslog% fdisk -m#map * +#part -e -n#part -V -a -c
echo.
echo done
